libusb とか

libusb0.1 と libusb1.0 というのが cygwin のぱけーじにあって、どうやら API が違うらしい。作者が同じかどうかもわからない、、、最新の openocd では libusb0.1 はねむいさんのぶろぐによると使わないらしい。libusb1.0 を使いましょう。

あと、hidapi というのもある。cmsis-dap を使う際に USB の HID (ヒューマンインタフェース?)をつかうらしいのだが、そのためのライブラリ。これも cygwin に標準であるのでインストール。

っていうか openocd の configure でこけたからこの2つをいれているのだけどね。